Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class UnrecoverableKeyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.UnrecoverableKeyException

All Implemented Interfaces:
  Serializable

public class UnrecoverableKeyException
extends GeneralSecurityException

This exception is thrown if a key in the keystore cannot be recovered.

Since:
  1.2
See Also:
  Serialized Form

Constructor Summary
`UnrecoverableKeyException()` Constructs an UnrecoverableKeyException with no detail message.
`UnrecoverableKeyException(String msg)` Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnrecoverableKeyException

    public UnrecoverableKeyException()

  Constructs an UnrecoverableKeyException with no detail message.

### UnrecoverableKeyException

    public UnrecoverableKeyException(String msg)

  Constructs an UnrecoverableKeyException with the specified detail message, which provides more information about why this exception has been thrown.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >